-1

This question already has an answer here:

I am using drush for drupal caches clear, module enable/disable and so more commands. My drush version is 5.4, it working fine for drupal 7 but now i creating new product in drupal 8. I am using same drush commands for drupal 8. but I am facing below problems.

D:\Drupal\site\website\docroot>drush cr PHP Fatal error: Class 'Drupal\Core\StringTranslation\PluralTranslatableMarkup' not found in D:\Drupal\site\website\docroot\core\includes\common.inc on line 132 Fatal error: Class 'Drupal\Core\StringTranslation\PluralTranslatableMarkup' not found in D:\Drupal\site\website\docroot\core\includes\common.inc on line 132 Drush command terminated abnormally due to an unrecoverable error. ?[31;40m?[1m[error]?[0m Error: Class 'Drupal\Core\StringTranslation\PluralTranslatableMarkup' not found in D:\Drupal\site\website\docroot\core\includes\common.inc, line 132

marked as duplicate by Adrian Cid Almaguer, Neograph734, kiamlaluno Jun 24 '16 at 16:47

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1

There is a handy chart in the Drush documentation that will explain compatibility of Drupal versions to Drush versions.

Drupal 8 requires Drush 8.x running on PHP 5.4.5+ and that is compatible with Drupal 6 and 7 as well.

Edit: Duplicate of @greg_1_anderson's answer https://drupal.stackexchange.com/a/155103/42650

Not the answer you're looking for? Browse other questions tagged or ask your own question.